FlowActivityEntity (Apache Hadoop YARN API 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.records.timelineservice, class: FlowActivityEntity

Package org.apache.hadoop.yarn.api.records.timelineservice

# Class FlowActivityEntity

java.lang.Object
org.apache.hadoop.yarn.api.records.timelineservice.TimelineEntity
org.apache.hadoop.yarn.api.records.timelineservice.FlowActivityEntity

All Implemented Interfaces:
  `Comparable<TimelineEntity>`

@Public @Unstable public class FlowActivityEntity extends TimelineEntity
Entity that represents a record for flow activity. It's essentially a container entity for flow runs with limited information.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.hadoop.yarn.api.records.timelineservice.TimelineEntity

  `TimelineEntity.Identifier`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CLUSTER_INFO_KEY`
  `static final String`
  `DATE_INFO_KEY`
  `static final String`
  `FLOW_NAME_INFO_KEY`
  `static final String`
  `USER_INFO_KEY`

  ### Fields inherited from class org.apache.hadoop.yarn.api.records.timelineservice.TimelineEntity

  `DEFAULT_ENTITY_PREFIX, SYSTEM_INFO_KEY_PREFIX`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FlowActivityEntity()`
  `FlowActivityEntity(String cluster, long time, String user, String flowName)`
  `FlowActivityEntity(TimelineEntity entity)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addFlowRun(FlowRunEntity run)`
  `void`
  `addFlowRuns(Collection<FlowRunEntity> runs)`
  `int`
  `compareTo(TimelineEntity entity)`
  `boolean`
  `equals(Object obj)`
  Reuse the base class equals method.
  `String`
  `getCluster()`
  `Date`
  `getDate()`
  `String`
  `getFlowName()`
  `NavigableSet<FlowRunEntity>`
  `getFlowRuns()`
  `String`
  `getId()`
  `int`
  `getNumberOfRuns()`
  `String`
  `getUser()`
  `int`
  `hashCode()`
  Reuse the base class hashCode method.
  `void`
  `setCluster(String cluster)`
  `void`
  `setDate(long time)`
  `void`
  `setFlowName(String flowName)`
  `void`
  `setUser(String user)`

  ### Methods inherited from class org.apache.hadoop.yarn.api.records.timelineservice.TimelineEntity

  `addConfig, addConfigs, addEvent, addEvents, addInfo, addInfo, addIsRelatedToEntities, addIsRelatedToEntity, addMetric, addMetrics, addRelatesToEntities, addRelatesToEntity, getConfigs, getConfigsJAXB, getCreatedTime, getEvents, getIdentifier, getIdPrefix, getInfo, getInfoJAXB, getIsRelatedToEntities, getIsRelatedToEntitiesJAXB, getMetrics, getReal, getRelatesToEntities, getRelatesToEntitiesJAXB, getType, isValid, setConfigs, setCreatedTime, setEvents, setId, setIdentifier, setIdPrefix, setInfo, setIsRelatedToEntities, setMetrics, setRelatesToEntities, setType, setUID, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### CLUSTER_INFO_KEY

    public static final String CLUSTER_INFO_KEY
    See Also:
      - Constant Field Values

  - ### DATE_INFO_KEY

    public static final String DATE_INFO_KEY
    See Also:
      - Constant Field Values

  - ### USER_INFO_KEY

    public static final String USER_INFO_KEY
    See Also:
      - Constant Field Values

  - ### FLOW_NAME_INFO_KEY

    public static final String FLOW_NAME_INFO_KEY
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### FlowActivityEntity

    public FlowActivityEntity()

  - ### FlowActivityEntity

    public FlowActivityEntity(String cluster, long time, String user, String flowName)

  - ### FlowActivityEntity

    public FlowActivityEntity(TimelineEntity entity)

- ## Method Details

  - ### getId

    public String getId()
    Overrides:
      `getId` in class `TimelineEntity`

  - ### compareTo

    public int compareTo(TimelineEntity entity)
    Specified by:
      `compareTo` in interface `Comparable<TimelineEntity>`
    Overrides:
      `compareTo` in class `TimelineEntity`

  - ### equals

    public boolean equals(Object obj)
    Reuse the base class equals method.
    Overrides:
      `equals` in class `TimelineEntity`

  - ### hashCode

    public int hashCode()
    Reuse the base class hashCode method.
    Overrides:
      `hashCode` in class `TimelineEntity`

  - ### getCluster

    public String getCluster()

  - ### setCluster

    public void setCluster(String cluster)

  - ### getDate

    public Date getDate()

  - ### setDate

    public void setDate(long time)

  - ### getUser

    public String getUser()

  - ### setUser

    public void setUser(String user)

  - ### getFlowName

    public String getFlowName()

  - ### setFlowName

    public void setFlowName(String flowName)

  - ### addFlowRun

    public void addFlowRun(FlowRunEntity run)

  - ### addFlowRuns

    public void addFlowRuns(Collection<FlowRunEntity> runs)

  - ### getFlowRuns

    public NavigableSet<FlowRunEntity> getFlowRuns()

  - ### getNumberOfRuns

    public int getNumberOfRuns()